Subject: Interrupted discussion of BIRD 46

From: Matthew Flora <[email-masked]>
Date: Fri, 09 Jan 1998 10:16:45 -0100

All,

This morning's IBIS Open Forum meeting was cut off in mid-discussion of
BIRD 46.  In that discussion, it was pointed out that file names longer than
eight characters may get truncated (at least visually) under Windows NT 3.5.

Now in proposing this BIRD, it is was our intent to lift restrictions that are
no longer needed.  If NT 3.5 is still a common engineering platform and it or
any other common engineering platform cannot trivially support file names
longer than eight characters, then by all means, let us keep the restrictions.

However, bear in mind that this BIRD will not take effect until after IBIS 3.1
is ratified.  At that future date, will NT 3.5 still be a common engineering
platform?

Regards,
Matthew Flora
Senior Engineer
HyperLynx
(425) 869-2320 PH
(425) 881-1008 FAX
[email-masked]

---

From: "D. C. Sessions" <[email-masked]>
Date: Fri, 09 Jan 1998 12:40:03 -0700

> is ratified.  At that future date, will NT 3.5 still be a common engineering

The NT file system inherently uses long file names.  Of course, if
the system is sharing a FAT volume it'll be limited to 8.3,
but what most NT users see is strictly a shell effect in directory
listings; programs have full access to the long filenames.

Note that the 8.3 limitation when accessing FAT volumes applies to
4.x as well, since NT doesn't use the Win95 hidden filename extensions.

Bottom line: NT3.5 doesn't need special consideration here; it handles
long names quite nicely.  (Says, DCS, who used to administer NT3.5
systems.)

-- 
D. C. Sessions
[email-masked]

---

From: Jon Powell <[email-masked]>
Date: Fri, 09 Jan 1998 14:47:29 -0800

> long names quite nicely.  (Says, DCS, who used to administer NT3.5

I'm not sure that this is completely true. Is there still a problem with
files with capitol letters in the file name? I know that there is a
problem for WIN95 file systems. I think there is still a inherent
inconsistency between how NTFS and Unix files systems view file names
that have "white space" or capital letters or perhaps even other special
characters (like "*" or "\").

jon